/* ---- Global ---- */
:root {
    --primary:#008392 ;
    --darkPrimary: #005f6a;
    --secondary: #eb984e;
    --darkSecondary:#ba4a00;
    --white:#FFF;
    --black:#000;

    --mainFont: 'Montserrat', sans-serif;
}

html {
    box-sizing: border-box;
    font-size: 62.5%;
}

*, *:before, *:after {
    box-sizing: inherit;
}
/* ---- Global ---- */
body{
    background-color: var(--primary);
    font-size: 1.6rem;
    line-height: 1.5rem;
}

p{
    font-size: 1.8rem;
    font-family: Arial, Helvetica, sans-serif;
    color: var(--white);
}

a{
    text-decoration: none; /* Quitar el interlineado para los enlaces / Remove line spacing for links */
}

img{
    max-width: 100%;
    width: 100%;
}

.container {
    max-width: 120rem;
    margin: 0 auto;
}

h1,h2,h3 {
    text-align: center;
    color: var(--secondary);
    font-family: var(--mainFont);
}

h1 {font: 4rem;}
h2 {font-size: 3.2rem;}
h3 {font-size: 2.4rem;}

.header {
    display: flex;
    justify-content: center;
}

 .header__background {
    position: relative;
    width: 100%;
    height: 30rem;
    background-position: center;
    overflow: hidden;
} 

.header__logo {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
    z-index: 1;
    background-color: rgba(0, 0, 0, 0.25);
}

.header__logo img {
    margin: 1rem 0;
    max-width: 100%; /* Ensure the logo doesn't overflow the container */
    height: auto;
    width: auto;
}

.footer__text{
    background-color: var(--darkPrimary);
    padding: 1rem 0;
    margin-top: 2rem;
    text-align: center;
    font-family: var(--mainFont);
    font-size: 2.2rem;
}

.nav-area {
    background-color: var(--darkPrimary);
    padding: 1rem 0;
    display: flex;
    justify-content: center;
    gap: 2rem; /* The gap element allows us to separate all elements within the flexbov instead of adding margin to each element*/
}

.nav-area__link {
    font-family: var(--mainFont);
    color:var(--white);
    font-size: 3rem;
    font-weight: 400;
    /* margin-right: 2rem; */ /* In case the browser does not support "gap" */
}

/* .nav-area__link:last-of-type{margin: 0;} */ /* In case the browser does not support "gap" this line must be included as well so that the elements remain properly centered*/

.nav-area__link--active, .nav-area__link:hover {
    color:var(--secondary);
}

/* Grid */

.grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 2rem;
}

@media (min-width: 768px) {
    .grid {
        grid-template-columns: repeat(3, 1fr);
    }
}

/* Product Blocks and elements */
.product{
    background-color: var(--darkPrimary);
    padding: 1rem;
}

.product__name {
    font-size: 4rem;
}

.product__price {
    font-size: 2.8rem;
}

.product__name, .product__price {
    margin: 1rem 0;
    line-height: 1.2;
    text-align: center;
}

/* ----- Graph Blocks Elements -----*/
.graph {
    min-height: 30rem;
    background-repeat: no-repeat;
    background-size: cover;
    grid-column: 1 / 3;
}

.graph--tshirts {
    grid-row: 2 / 3;
    background-image: url(../img/graph1.jpg);
}

.graph--node {
    background-image: url(../img/graph2.jpg);
}

@media (min-width: 768px) {
    .graph--node {
        grid-row: 5 / 6;
        grid-column: 2 / 4;
    }
}

/* ----- About Us ----- */
.aboutUs {
    display: grid;
    grid-template-rows: repeat(2, auto);

}

@media (min-width: 768px) {
    .aboutUs {
        grid-template-columns: repeat(2, 1fr);
        column-gap: 2rem;
    }   
}

.aboutUs__img {
    grid-row: 1 / 2;
}

@media (min-width: 768px) {
    .aboutUs__img {
        grid-column: 2 / 3; /* Change the img position so that it displays on the right on large screens */
    }   
}

/* ----- About Us Blocks and Elements ----- */
.whyBlocks {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 2rem;
}

@media (min-width: 768px) {
    .whyBlocks {
        grid-template-columns: repeat(4, 1fr);
    }
}

.whyBlock {
    text-align: center;
}

.whyBlock__title {
    margin: 0;
}

/* ----- Products -----*/
.tshirt {

}

@media (min-width: 768px) {
    .tshirt {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        column-gap: 2rem;
    }
}

/* ---- Form Elements -----*/
.myForm {
    display: grid;
    grid-template-columns: repeat(2, 1fr); /* Because there are three elements, 2 rows are created automatically */
    gap: 2rem;
}

.myForm__field {
    border-color: var(--darkPrimary);
    border-width: 1rem;
    border-style: solid;
    /* border: 1rem solid var(--darkPrimary) */ /* The border properties can also be set using only one line (the order is width - style - color) */
    background-color: transparent; /* Use the body's background color */
    color: var(--white);
    font-size: 2rem;
    font-family: var(--mainFont);
    padding: 1rem;
    appearance: none; /* Remove the arrows for selecting options */
    text-align: center;
    width: 100%; /* Make both columns in the first row occupy the same amount of space */
}

.myForm__field[type="number"] {
    -moz-appearance: textfield; /* Remove Firefox's default styling */
}

.myForm__submit {
    background-color: var(--secondary);
    border: none;
    font-size: 2rem;
    font-family: var(--mainFont);
    padding: 2rem;
    transition: background-color .3s ease; /* It takes .3 seconds for the button's background color to change when the cursor is over it */
    grid-column: 1 / 3;
}

.myForm__submit:hover {
    cursor: pointer;
    background-color: var(--darkSecondary);
}